Bug 217701 - NumberFormatException: For input string: ",193715"
NumberFormatException: For input string: ",193715"
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Petr Pisl
issues@javascript
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 09:20 UTC by David Konecny
Modified: 2012-09-27 13:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.42 KB, text/plain)
2012-09-01 09:20 UTC, David Konecny
Details
stacktrace (2.42 KB, text/plain)
2012-09-18 08:08 UTC, Vladimir Riha
Details
sample file for latest stacktrace - cc invoked on line 20 after console. (1.08 KB, application/javascript)
2012-09-18 08:10 UTC, Vladimir Riha
Details
stacktrace (2.42 KB, text/plain)
2012-09-27 13:08 UTC, lehel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2012-09-01 09:20:30 UTC
Build: NetBeans IDE Dev (Build 20120831-d0e59d75d0a4)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.3-b01, Java(TM) SE Runtime Environment, 1.7.0_07-b10
OS: Linux

Stacktrace: 
java.lang.NumberFormatException: For input string: ",193715"
   at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
   at java.lang.Integer.parseInt(Integer.java:481)
   at java.lang.Integer.parseInt(Integer.java:527)
   at org.netbeans.modules.javascript2.editor.index.IndexedElement.getReturnTypes(IndexedElement.java:194)
   at org.netbeans.modules.javascript2.editor.index.IndexedElement.create(IndexedElement.java:149)
   at org.netbeans.modules.javascript2.editor.JsCodeCompletion.complete(JsCodeCompletion.java:150)
Comment 1 David Konecny 2012-09-01 09:20:32 UTC
Created attachment 123796 [details]
stacktrace
Comment 2 Vladimir Riha 2012-09-18 08:08:10 UTC
Created attachment 124490 [details]
stacktrace

invoking code completion
Comment 3 Vladimir Riha 2012-09-18 08:10:53 UTC
Created attachment 124491 [details]
sample file for latest stacktrace - cc invoked on line 20 after console.
Comment 4 Quality Engineering 2012-09-19 03:07:22 UTC
Integrated into 'main-golden', will be available in build *201209190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8f8f27efcfef
User: Petr Pisl <ppisl@netbeans.org>
Log: #217701 - NumberFormatException: For input string: ",193715"
Comment 5 Martin Fousek 2012-09-24 05:40:05 UTC
Petr, I suppose that this can be already closed as fixed by you, right?
Comment 6 lehel 2012-09-27 13:08:12 UTC
Created attachment 125001 [details]
stacktrace

Testing Netbeans 7.3beta WebClient test: http://wiki.netbeans.org/TS_73_JavaScriptEditor

Test suite: Code Completion
Using CTRL+space in a javascript file, to invoke methods of a class and using delete to revoke. Using these successively.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo